Subject: Re: bug#20707: [PROPOSED PATCH] Use curved quoting in C-generated errors

From: Alan Mackenzie <[email-masked]>
Date: Tue, 9 Jun 2015 16:58:04 +0000

Hello, Wolfgang.

On Sun, Jun 07, 2015 at 03:17:13PM +0200, Wolfgang Jenkner wrote:
> On Sat, Jun 06 2015, Alan Mackenzie wrote:

> > On the Linux console, there are a maximum of 256 glyphs which can be
> > displayed (or 512 if you're prepared to do without half of the colours),
> > each of which can be assigned to an arbitrary set of unicode characters.
> > This limit is a hangover from video hardware made ~30 years ago, and it
> > is a shame that it still persists, even on modern software generated
> > video.

> There are graphical (framebuffer based, no X needed) terminal emulators
> for GNU/Linux which don't have this limitation on the number of glyphs,
> in particular fbterm is quite nice, see the thread around

> http://permalink.gmane.org/gmane.emacs.devel/143665

Is fbterm still a live project?  Its home page on googlecode doesn't
show any activity after 2010.

> There's also the newer (and perhaps not so widely available?) kmscon.

I think that's an X-based program, isn't it?

> (Also, FreeBSD now provides a very capable graphical console out of the
> box.)

-- 
Alan Mackenzie (Nuremberg, Germany).